// BMP (Basic Media Player).java

import java.awt.EventQueue;

import java.net.URI;

import javax.swing.JFrame;

import com.sun.media.jmc.JMediaPlayer;

public class BMP extends JFrame
{
   public BMP (String mediaURI)
   {
      super ("BMP: "+mediaURI);
      setDefaultCloseOperation (EXIT_ON_CLOSE);

      JMediaPlayer mp = null;
      try
      {
          mp = new JMediaPlayer (new URI (mediaURI));
      }
      catch (Exception e)
      {
          System.out.println ("Error opening media: "+e.toString ());
          System.exit (1);
      }

      setContentPane (mp);

      pack ();
      setVisible (true);
   }

   public static void main (final String [] args)
   {
      if (args.length != 1)
      {
          System.err.println ("usage: java BMP mediaURI");
          return;
      }

      Runnable r = new Runnable ()
                   {
                       public void run ()
                       {
                          new BMP (args [0]);
                       }
                   };
      EventQueue.invokeLater (r);
   }
}
